import { default as React } from 'react';

/**
 * Get current error from context or router.
 */
export declare function useApplicationError(): Error;
/**
 * Application error component.
 */
export declare function ApplicationError({ children }: {
    children?: (error: Error) => React.ReactElement;
}): React.JSX.Element;
/**
 * Error boundary component for the application.
 */
export declare class ApplicationErrorBoundary extends React.Component<React.PropsWithChildren<{
    errorElement: React.ReactNode;
}>, {
    error: Error;
}> {
    static getDerivedStateFromError(error: Error): {
        error: Error;
    };
    render(): string | number | boolean | Iterable<React.ReactNode> | React.JSX.Element;
}
