import { default as React } from 'react';
import { CurtainUuidType } from './Curtains';

/**
 * Current curtain data and functions.
 */
export interface CurtainContextState {
    /**
     * Curtain UUID.
     */
    uuid: CurtainUuidType;
    /**
     * Close the curtain.
     */
    close: () => void;
    /**
     * True if the curtain is closed (while transitioning out).
     */
    closed: boolean;
}
/**
 * Hook to access current curtain data and functions.
 */
export declare function useCurtain(): CurtainContextState;
/**
 * Component of an opened curtain instance.
 */
export declare function CurtainInstance({ uuid, children }: React.PropsWithChildren<{
    /**
     * Curtain UUID.
     */
    uuid: string;
}>): React.JSX.Element;
