import { default as React } from 'react';
import { Modify } from '../../Utils';

/**
 * A form input for a date with a datepicker.
 */
export declare function DatepickerInput({ children, className, value, onChange, onKeyUp, onBlur, type, placeholder, ...props }: React.PropsWithChildren<Modify<React.InputHTMLAttributes<HTMLInputElement>, {
    /**
     * The current date value.
     */
    value?: Date | null;
    /**
     * Called when picked date is changed.
     * @param newDate The new date.
     */
    onChange: (newDate: Date) => void;
    type?: never;
    placeholder?: never;
}>>): React.ReactElement;
