import { default as React } from 'react';
import { Modify } from '../../Utils';
import { NavLinkProps } from 'react-router-dom';

/**
 * Main menu item properties.
 */
export type MainMenuItemProperties = React.PropsWithChildren<Modify<React.AnchorHTMLAttributes<HTMLAnchorElement>, {}>>;
/**
 * Main component of a main menu item.
 */
export declare const MainMenuItem: React.ForwardRefExoticComponent<Omit<React.AnchorHTMLAttributes<HTMLAnchorElement>, never> & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLAnchorElement>>;
/**
 * A main menu item link properties.
 */
export type MainMenuLinkProperties = React.PropsWithChildren<Modify<NavLinkProps & React.AnchorHTMLAttributes<HTMLAnchorElement>, {}>>;
/**
 * A main menu item link.
 */
export declare const MainMenuLink: React.ForwardRefExoticComponent<Omit<NavLinkProps & React.AnchorHTMLAttributes<HTMLAnchorElement>, never> & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLAnchorElement>>;
/**
 * A main menu item that open a submenu.
 */
export declare function MainMenuItemSubmenu({ submenu, className, children, ...props }: Modify<MainMenuItemProperties, {
    /**
     * The submenu content.
     */
    submenu: React.ReactNode;
}>): React.JSX.Element;
