import { default as React } from 'react';
import { useCallableCurtain, useCurtains } from '../Curtains/Curtains';
import { Modify } from '../../Utils';
import { useCurtain } from '../Curtains/CurtainInstance';

/**
 * More natural name of useCurtains for subapps.
 * @see useCurtains
 */
export declare const useSubapps: typeof useCurtains;
/**
 * More natural name of useCurtain for subapps.
 * @see useCurtain
 */
export declare const useSubapp: typeof useCurtain;
/**
 * More natural name of useCallableCurtain for subapps.
 * @see useCallableCurtain
 */
export declare const useCallableSubapp: typeof useCallableCurtain;
/**
 * Subapp main component.
 */
export declare function Subapp({ className, title, closable, children }: React.PropsWithChildren<Modify<React.HTMLAttributes<HTMLDivElement>, {
    /**
     * Subapp title.
     */
    title?: string;
    /**
     * Can disable close button.
     */
    closable?: boolean;
}>>): React.JSX.Element;
