export type Modify<T, R> = Omit<T, keyof R> & R;
/**
 * Merge multiple class names to one full class name.
 * @param className Class names.
 */
export declare function classes(...className: (string | null | undefined | false)[]): string;
export declare function formatDate(date: Date): string;
export declare function formatTime(date: Date): string;
/**
 * Normalize a given string for searching.
 * @param str The string to normalize.
 */
export declare function normalizeString(str: string): string;
/**
 * Get the previous value of a given value.
 * @param currentValue The current value.
 */
export declare function usePreviousValue<T>(currentValue: T): T;
